Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3913 - Passwd dies when called from samba...
Summary: Passwd dies when called from samba...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-06 10:17 UTC by Jaanus Kivistik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-08 23:25:00 UTC


Attachments (Terms of Use)

Description Jaanus Kivistik 1999-07-06 10:17:27 UTC
When I try to use the "unix passwd sync" feature in samba
2.0.4b, the passwd program just dies, after the samba
password change script has passed the news password to
passwd program. It doesnt occur in 5.2, and other people
also have the same problem. Here is a part of my samba log:

[1999/07/02 12:42:09, 3]
smbd/chgpasswd.c:chat_with_program(369)
  Dochild for user jaanus (uid=0,gid=0)
[1999/07/02 12:42:09, 10] smbd/chgpasswd.c:dochild(189)
  Invoking '/usr/bin/passwd jaanus' as password change
program.
[1999/07/02 12:42:10, 100] smbd/chgpasswd.c:talktochild(263)
  talktochild: chatbuf=[*password*] responsebuf=[Changing
password for
user jaanus
  New UNIX password: ]
[1999/07/02 12:42:10, 100] smbd/chgpasswd.c:talktochild(276)
  talktochild: sendbuf=[xxxxxxx
  ]
[1999/07/02 12:42:10, 100] smbd/chgpasswd.c:talktochild(263)
  talktochild: chatbuf=[*password*] responsebuf=[
  Retype new UNIX password: ]
[1999/07/02 12:42:10, 100] smbd/chgpasswd.c:talktochild(276)
  talktochild: sendbuf=[xxxxxxx
  ]
[1999/07/02 12:42:29, 3]
smbd/chgpasswd.c:chat_with_program(347)
  The process exited while we were waiting

Sorry, if this is samba bug, but i thought i'll report that.
You may never know... ;)

Comment 1 Michael K. Johnson 1999-07-30 15:59:59 UTC
We should probably add direct PAM-based password changing to samba...

Comment 2 Bill Nottingham 1999-12-08 23:25:59 UTC
This seems to be fixed in samba-2.0.6, in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.